package com.javahonk;

import javax.jms.JMSException;

import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.springframework.context.ApplicationContext;
import org.springframework.context.support.AbstractApplicationContext;
import org.springframework.context.support.ClassPathXmlApplicationContext;

import com.javahonk.tibco.TibcoMessageProducer;



public class JavaHonkTibcoTestApp {
	
	private static final Logger logger = LogManager.getLogger(JavaHonkTibcoTestApp.class);

	public static void main(String[] args) throws JMSException, InterruptedException {
		
		logger.info("Tibco messaging started...");
		
		ApplicationContext context = new ClassPathXmlApplicationContext("spring-context.xml");
		
		TibcoMessageProducer tibcoMessageProducer = context.getBean(TibcoMessageProducer.class);
		
		for (int i = 0; i < 10; i++) {
			tibcoMessageProducer.sendMessages();
		}
		
		keepApplicationRunning();
		
		((AbstractApplicationContext) context).close();
	}

	private static void keepApplicationRunning() {
		
		Thread thread = new Thread(new Runnable() {

			@Override
			public void run() {
			}
		});

		while (!thread.isInterrupted()) {
		}
	}

}
